Package io.vertx.rxjava3.oracleclient

## Class OracleClient

- java.lang.Object
- - io.vertx.rxjava3.oracleclient.OracleClient

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class OracleClient
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  An interface to define Oracle specific constants or behaviors.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<OracleClient>` | `__TYPE_ARG` |
    `static PropertyKind<Row>` | `GENERATED_KEYS` | The property to be used to retrieve the generated keys
    `static PropertyKind<Boolean>` | `OUTPUT` | The property to be used to retrieve the output of the callable statement

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OracleClient​(OracleClient delegate)` |
    `OracleClient​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `OracleClient` | `getDelegate()` |
    `int` | `hashCode()` |
    `static OracleClient` | `newInstance​(OracleClient arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OracleClient> __TYPE_ARG

    - #### GENERATED_KEYS

          public static final PropertyKind<Row> GENERATED_KEYS

      The property to be used to retrieve the generated keys

    - #### OUTPUT

          public static final PropertyKind<Boolean> OUTPUT

      The property to be used to retrieve the output of the callable statement

  - ### Constructor Detail

    - #### OracleClient

          public OracleClient​(OracleClient delegate)

    - #### OracleClient

          public OracleClient​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OracleClient getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### newInstance

          public static OracleClient newInstance​(OracleClient arg)